Hello Guys,
How to remove following Find Object() method?
And what changes should be made there.
NXOpen.DatumAxis datumAxis1 = (NXOpen.DatumAxis)workPart.Datums.FindObject("DATUM_CSYS(0) Y axis");
Direction direction1;
direction1 = workPart.Directions.CreateDirection(datumAxis1...
Hello Guys,
Here is code for hole Creation in Cylinder.
Although code is not showing error in the visual studio.
But while running in NX, It is getting error such as INVALID CAST.
Please anybody can correct it.
using System;
using NXOpen;
class NXJournal
{
public static void Main()
{...
Hi, Guys
Following code is hard coded.
I want that the inputs should be given by user..
Cylinder EdgeBlend COde
using System;
using NXOpen;
class NXJournal
{
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart =...
Hello Guys,
Below is the code for two cylinder in C#. Please tell how to UNITE this 2 cylinder
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NXOpen;
namespace cylinderbuilder
{
public class Class1
{...
Hello Everyone,
I am new the programming in NX open Api using C#. I am currently referring .chm file which I have attached.
so is there any other resources or material?
if anyone has something related to this they could help or upload.
Thank You.